Cisco fixes security flaw in Nexus switches

By on
Cisco fixes security flaw in Nexus switches

Cisco has released a patch for an operating system flaw that could leave its Nexus switches open to denial-of-service attacks.

The network equipment maker released the fix Wednesday for NX-OS. The affected switch series are the Nexus 1000v, 5000 and 7000.

To exploit the vulnerability, a hacker could modify an IP packet to trigger a DoS attack, according to the US Computer Emergency Readiness Team. The agency issued an advisory recommending that Nexus users install the patch.

NX-OS is the network operating system within Nexus switches. The vulnerability is within the OS' IP stack and "any feature that makes use of the services offered by the IP stack to parse IP packets is affected," Cisco said.

"Successful exploitation of the vulnerability that is described in this advisory may result in a reload of an affected device," the company said. "Repeated exploitation could result in a sustained DoS condition."

Cisco released last September a set of security patches fixing 10 separate vulnerabilities in some of its major software and unified communications products. Among the fixes was one for a DoS vulnerability in the IOS IP Service Level Agreement feature. The flaw was triggered when specially crafted UDP packets were sent to a vulnerable device, Cisco said.

 

This article originally appeared at crn.com

Copyright © 2015 The Channel Company, LLC. All rights reserved.
Tags:

Most Read Articles

You must be a registered member of CRN to post a comment.
| Register

Poll

How will the tech sector fare under the new Liberal coalition federal government?
Better
Same as before
Worse
View poll archive

Log In

Username:
Password:
  |  Forgot your password?